﻿@model SportsClub.Areas.Dashboard.Models.DependentCareReceiptReportViewModel

@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title" style="font-size:20px;line-height: 45px;">
            <div>
                Dependent care receipt report
            </div>
        </div>
        <div class="actions">
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to Excel" ng-click="saveToExcel()" target="_blank">
                <i style="margin-top: 11px;" class="icon-file-excel fg-black"></i>
            </a>
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to PDF" ng-click="saveToPDF()" target="_blank">
                <i style="margin-top: 11px;" class="jbi-export-pdf fg-black"></i>
            </a>
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Print" ng-click="print()" target="_blank">
                <i style="margin-top: 11px;" class="jbi-print fg-black"></i>
            </a>
        </div>

    </div>

    <div class="clearfix"></div>

    <div class="wrapper">
        <div id="wrapper-title" style="margin-top: 25px;">
            <span>
                Report search criteria
            </span>
        </div>
        <div class="wrapper-content container-fluid">
            <form novalidate="" ng-submit="viewReport()" style="margin-top:12px">

                <div class="row">
                    <div class="place-left one-fourth padding-right20">
                        <div class="head-choose-filter" style="margin-bottom: 7px;">
                            <div class="radio-inline">
                                Year
                                <input type="radio" name="FilterType" value="Year" ng-model="filter.filterType" ng-checked="true" ng-click="YearClicked()">

                            </div>
                        </div>
                        <div class="">
                            <div class="input-control select" data-role="input-control">
                                <select id="year" name="year" ng-model="filter.year" ng-options="obj.Value as obj.Title for obj in Model.year"></select>
                            </div>
                        </div>
                    </div>


                    <div class="col-md-4">
                        <div class="head-choose-filter" style="margin-bottom: 7px;">
                            <div class="radio-inline">

                                Payment date
                                <input type="radio" name="FilterType" value="DateRange" ng-model="filter.filterType" data-ng-click="dateRangeClicked()">

                            </div>
                        </div>
                        <div class="content-choose-filter">
                            <div class="place-left one-fourth padding-right10">
                                <div class="input-control date-time" data-role="input-control">
                                    <input id="startDate" name="startDate" ng-model="filter.startDate" kendo-date-picker />
                                </div>
                            </div>
                            <div class="inline-block" style="float: left;margin-right: 10px;line-height: 29px;">
                                to
                            </div>

                            <div class="place-left one-fourth padding-right20">
                                <div class="input-control date-time" data-role="input-control">
                                    <input id="endDate" name="endDate" ng-model="filter.endDate" kendo-date-picker />
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12" style="float: right; padding-right: 10px;line-height: 26px;">
                        <button type="submit" class="btn btn-orange btn-pattern btn-corner-right">View Report</button>
                    </div>
                </div>
            </form>
        </div>
    </div>


    <div class="clearfix"></div>
    <div class="double-scroll" style="width: 100%;max-width: 100%;min-width: 100%;">
        <div class="wrapper1">
            <div class="div1"></div>
        </div>
        <div class="wrapper2">
            <div class="div2">
                <kendo-grid id="DependentCareReceiptGrid" options="DependentCareReceiptGridOptions" class="scroll resizable"></kendo-grid>
            </div>
        </div>
    </div>
    <div class="clearfix"></div>
</div>

<style>
    .k-grid tr {
        background-color: #fff;
    }

    .page-template .footer {
        position: absolute;
        bottom: 30px;
        left: 30px;
        right: 30px;
        border-top: 1px solid #888;
        text-align: center;
        color: #888;
    }

    .k-pdf-export .k-grid-toolbar,
    .k-pdf-export .k-pager-wrap,
    .k-pdf-export a.k-button.k-button-icontext,
    .k-pdf-export .k-filter-row,
    .k-pdf-export .k-grouping-header,
    .k-pdf-export .k-grid tr td:last-child {
        display: none !important;
    }
</style>

<script id="toolbarTemplate" type="text/x-kendo-template">
    <div>
        <ul class="ul-partner-info">
            <li>Class meeting dates ({{Model.HeaderInfo.Date}})</li>
            <li> {{Model.HeaderInfo.PartnerName}} </li>
            <li> {{Model.HeaderInfo.PartnerAddress}} </li>
            <li> {{Model.HeaderInfo.PartnerPhone}} </li>
            <li> {{Model.HeaderInfo.PartnerSite}} </li>
            <li> {{Model.HeaderInfo.PartnerEmail}} </li>
        </ul>
    </div>
</script>

